MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028384Open CASCADE[OCCT] OCCT:Configurationpublic2017-01-23 17:012017-09-29 16:24
Reportermsv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformVisual StudioOSWindowsOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028384: Add FPE signals enabling from MSVC
DescriptionIt is needed to complete the fix 0028198 "Add FPE signals enabling from CMake". The value of CSF_FPE should be added in the file adm/templates/DRAWEXE.vcxproj.user.in, so that it was in effect when starting DRAW from Visual.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028198closedapn Add FPE signals enabling from CMake 

-  Notes
(0062916)
abv (manager)
2017-01-23 17:45

Pardon me, is not that overcomplicated? The same can be achieved by setting environment variable globally on the workstation, or by setting it in DrawAppliInit script
(0062921)
msv (developer)
2017-01-23 18:27

The purpose of the bug 0028198 was to make this variable set locally for the needed repository only by adding the rule in cmake. If I switched on it in cmake why should I enable it globally?
(0062935)
git (administrator)
2017-01-24 12:52

Branch CR28384 has been created by ski.

SHA-1: bd547ab49bed0e3db5354144b5d093dc65827563


Detailed log of new commits:

Author: ski
Date: Tue Jan 24 12:52:41 2017 +0300

    0028384: Add FPE signals enabling from MSVC
    
    Variable SF_FPE was added to the file adm/templates/DRAWEXE.vcxproj.user.in
(0062936)
git (administrator)
2017-01-24 12:53

Branch CR28384 has been updated forcibly by ski.

SHA-1: 163bccdad6b1cfce1da222acf4c67cab39e6ba4e
(0063008)
ski (developer)
2017-01-25 14:30

Dear msv,

variable CSF_FPE were added to the DRAWEXE msvc environment

please, review.
(0063009)
msv (developer)
2017-01-25 14:54

Reviewed.
(0063624)
git (administrator)
2017-02-08 11:36

Branch CR28384 has been deleted by kgv.

SHA-1: 163bccdad6b1cfce1da222acf4c67cab39e6ba4e

- Related Changesets
occt: master 31211c6c
Timestamp: 2017-01-24 09:52:41
Author: ski
Committer: apn
Details ] Diff ]
0028384: Add FPE signals enabling from MSVC

Variable CSF_FPE was added to the file adm/templates/DRAWEXE.vcxproj.user.in
mod - adm/templates/DRAWEXE.vcxproj.user.in Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-23 17:01 msv New Issue
2017-01-23 17:01 msv Assigned To => bugmaster
2017-01-23 17:12 msv Assigned To bugmaster => ski
2017-01-23 17:12 msv Status new => assigned
2017-01-23 17:45 abv Note Added: 0062916
2017-01-23 18:27 msv Note Added: 0062921
2017-01-23 18:27 msv Relationship added related to 0028198
2017-01-24 12:52 git Note Added: 0062935
2017-01-24 12:53 git Note Added: 0062936
2017-01-25 14:30 ski Note Added: 0063008
2017-01-25 14:30 ski Assigned To ski => msv
2017-01-25 14:30 ski Status assigned => resolved
2017-01-25 14:30 ski Steps to Reproduce Updated View Revisions
2017-01-25 14:54 msv Note Added: 0063009
2017-01-25 14:54 msv Assigned To msv => bugmaster
2017-01-25 14:54 msv Status resolved => reviewed
2017-01-25 16:08 apv Test case number => Not needed
2017-01-25 16:09 apv Status reviewed => tested
2017-01-27 16:15 apn Changeset attached => occt master 31211c6c
2017-01-27 16:15 apn Assigned To bugmaster => apn
2017-01-27 16:15 apn Status tested => verified
2017-01-27 16:15 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063624
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker